package com.tax.file.model;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * fin_cuspay_detail
 * @author 
 */
public class FinCuspayDetail implements Serializable {
    private Long id;

    /**
     * 缴款书号码
     */
    private String payNo;

    /**
     * 税号信息
     */
    private String taxno;

    /**
     * 货物名称
     */
    private String gname;

    /**
     * 完税价格
     */
    private String payTaxesPrice;

    /**
     * 数量
     */
    private String gnum;

    /**
     * 单位
     */
    private String gpiece;

    /**
     * 税率
     */
    private BigDecimal invRate;

    /**
     * 税款金额
     */
    private BigDecimal taxAmount;

    /**
     * 行号
     */
    private Integer lineNo;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public String getTaxno() {
        return taxno;
    }

    public void setTaxno(String taxno) {
        this.taxno = taxno;
    }

    public String getGname() {
        return gname;
    }

    public void setGname(String gname) {
        this.gname = gname;
    }

    public String getPayTaxesPrice() {
        return payTaxesPrice;
    }

    public void setPayTaxesPrice(String payTaxesPrice) {
        this.payTaxesPrice = payTaxesPrice;
    }

    public String getGnum() {
        return gnum;
    }

    public void setGnum(String gnum) {
        this.gnum = gnum;
    }

    public String getGpiece() {
        return gpiece;
    }

    public void setGpiece(String gpiece) {
        this.gpiece = gpiece;
    }

    public BigDecimal getInvRate() {
        return invRate;
    }

    public void setInvRate(BigDecimal invRate) {
        this.invRate = invRate;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public Integer getLineNo() {
        return lineNo;
    }

    public void setLineNo(Integer lineNo) {
        this.lineNo = lineNo;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        FinCuspayDetail other = (FinCuspayDetail) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPayNo() == null ? other.getPayNo() == null : this.getPayNo().equals(other.getPayNo()))
            && (this.getTaxno() == null ? other.getTaxno() == null : this.getTaxno().equals(other.getTaxno()))
            && (this.getGname() == null ? other.getGname() == null : this.getGname().equals(other.getGname()))
            && (this.getPayTaxesPrice() == null ? other.getPayTaxesPrice() == null : this.getPayTaxesPrice().equals(other.getPayTaxesPrice()))
            && (this.getGnum() == null ? other.getGnum() == null : this.getGnum().equals(other.getGnum()))
            && (this.getGpiece() == null ? other.getGpiece() == null : this.getGpiece().equals(other.getGpiece()))
            && (this.getInvRate() == null ? other.getInvRate() == null : this.getInvRate().equals(other.getInvRate()))
            && (this.getTaxAmount() == null ? other.getTaxAmount() == null : this.getTaxAmount().equals(other.getTaxAmount()))
            && (this.getLineNo() == null ? other.getLineNo() == null : this.getLineNo().equals(other.getLineNo()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPayNo() == null) ? 0 : getPayNo().hashCode());
        result = prime * result + ((getTaxno() == null) ? 0 : getTaxno().hashCode());
        result = prime * result + ((getGname() == null) ? 0 : getGname().hashCode());
        result = prime * result + ((getPayTaxesPrice() == null) ? 0 : getPayTaxesPrice().hashCode());
        result = prime * result + ((getGnum() == null) ? 0 : getGnum().hashCode());
        result = prime * result + ((getGpiece() == null) ? 0 : getGpiece().hashCode());
        result = prime * result + ((getInvRate() == null) ? 0 : getInvRate().hashCode());
        result = prime * result + ((getTaxAmount() == null) ? 0 : getTaxAmount().hashCode());
        result = prime * result + ((getLineNo() == null) ? 0 : getLineNo().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", payNo=").append(payNo);
        sb.append(", taxno=").append(taxno);
        sb.append(", gname=").append(gname);
        sb.append(", payTaxesPrice=").append(payTaxesPrice);
        sb.append(", gnum=").append(gnum);
        sb.append(", gpiece=").append(gpiece);
        sb.append(", invRate=").append(invRate);
        sb.append(", taxAmount=").append(taxAmount);
        sb.append(", lineNo=").append(lineNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}